Loading...
Searching...
No Matches
volk_32f_x2_s32f_interleave_16ic.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <volk/volk_common.h>`
`#include <emmintrin.h>`
`#include <xmmintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32f_x2_s32f_interleave_16ic_u_H

## Functions

static void | volk_32f_x2_s32f_interleave_16ic_a_sse2 (lv_16sc_t *complexVector, const float *iBuffer, const float *qBuffer, const float scalar, unsigned int num_points)
static void | volk_32f_x2_s32f_interleave_16ic_a_sse (lv_16sc_t *complexVector, const float *iBuffer, const float *qBuffer, const float scalar, unsigned int num_points)
static void | volk_32f_x2_s32f_interleave_16ic_generic (lv_16sc_t *complexVector, const float *iBuffer, const float *qBuffer, const float scalar, unsigned int num_points)
static void | volk_32f_x2_s32f_interleave_16ic_neon (lv_16sc_t *complexVector, const float *iBuffer, const float *qBuffer, const float scalar, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_32f_x2_s32f_interleave_16ic_u_H

#define INCLUDED_volk_32f_x2_s32f_interleave_16ic_u_H

## Function Documentation

## volk_32f_x2_s32f_interleave_16ic_a_sse()

void volk_32f_x2_s32f_interleave_16ic_a_sse | ( | lv_16sc_t * | complexVector,
|  | const float * | iBuffer,
|  | const float * | qBuffer,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_32f_x2_s32f_interleave_16ic_a_sse2()

void volk_32f_x2_s32f_interleave_16ic_a_sse2 | ( | lv_16sc_t * | complexVector,
|  | const float * | iBuffer,
|  | const float * | qBuffer,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_32f_x2_s32f_interleave_16ic_generic()

void volk_32f_x2_s32f_interleave_16ic_generic | ( | lv_16sc_t * | complexVector,
|  | const float * | iBuffer,
|  | const float * | qBuffer,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_32f_x2_s32f_interleave_16ic_neon()

void volk_32f_x2_s32f_interleave_16ic_neon | ( | lv_16sc_t * | complexVector,
|  | const float * | iBuffer,
|  | const float * | qBuffer,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static